---@meta

---@class UWBP_Build_CategoryButton_v2_C : UB1BuildCategoryWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Anim_Released UWidgetAnimation
---@field Anim_Selected UWidgetAnimation
---@field Anim_Hover UWidgetAnimation
---@field Anim_Idle UWidgetAnimation
---@field Image_Selected UB1Image
---@field Selected boolean
local UWBP_Build_CategoryButton_v2_C = {}

---@param InSelected boolean
function UWBP_Build_CategoryButton_v2_C:OnCategoryWidgetSelected(InSelected) end
function UWBP_Build_CategoryButton_v2_C:BndEvt__WBP_Build_CategoryButton_v2_BW_Button_Category_K2Node_ComponentBoundEvent_1_OnButtonHoverEvent__DelegateSignature() end
function UWBP_Build_CategoryButton_v2_C:BndEvt__WBP_Build_CategoryButton_v2_BW_Button_Category_K2Node_ComponentBoundEvent_2_OnButtonHoverEvent__DelegateSignature() end
---@param EntryPoint int32
function UWBP_Build_CategoryButton_v2_C:ExecuteUbergraph_WBP_Build_CategoryButton_v2(EntryPoint) end


